<?php
/**
  * Facebookall fanbox  sidebox by sourceaddons 
  * @copyright Copyright sourceaddons, 2017
  * @license http://www.zen-cart.com/license/2_0.txt GNU Public License V2.0
  **/

  class fball_fanbox {
    var $title, $output;
	
    function fball_fanbox() {
	  $this->code = 'fball_fanbox';
      $this->title = MODULE_FBALL_FANBOX_TITLE;
      $this->description = MODULE_FBALL_FANBOX_DESCRIPTION;
      $this->sort_order = MODULE_FBALL_FANBOX_SORT_ORDER;
      $this->pageurl = MODULE_FBALL_FANBOX_PAGEURL;
      $this->height = MODULE_FBALL_FANBOX_HEIGHT;
      $this->width = MODULE_FBALL_FANBOX_WIDTH;
      $this->faces = MODULE_FBALL_FANBOX_FACES;
      $this->stream = MODULE_FBALL_FANBOX_STREAM;
      $this->fbheader = MODULE_FBALL_FANBOX_SHEADER;
	    $this->cover = MODULE_FBALL_FANBOX_COVER;
      $this->adept = MODULE_FBALL_FANBOX_ADEPT;
      $this->tabs = MODULE_FBALL_FANBOX_TABS;
      $this->custom_title = MODULE_FBALL_FANBOX_CUSTOM_TITLE;
      $this->script = MODULE_FBALL_FANBOX_SCRIPT;
      $this->output = array();
    }

   function process() {}

    function check() {
      global $db;
      if (!isset($this->_check)) {
        $check_query = $db->Execute("select configuration_value from " . TABLE_CONFIGURATION . " where configuration_key = 'MODULE_FBALL_FANBOX_STATUS'");
        $this->_check = $check_query->RecordCount();
      }
      return $this->_check;
    }

    function install() {
      global $db;
      $db->Execute("insert into " . TABLE_CONFIGURATION . " (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, date_added) values ('This module is installed', 'MODULE_FBALL_FANBOX_STATUS', 'true', '', '6', '1','zen_cfg_select_option(array(\'true\'), ', now())");
      $db->Execute("insert into " . TABLE_CONFIGURATION . " (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, date_added) values ('Sort Order', 'MODULE_FBALL_FANBOX_SORT_ORDER', '1', 'Sort order of display.', '6', '2', now())");

	  $db->Execute("insert into " . TABLE_CONFIGURATION . " (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, date_added) values ('Title', 'MODULE_FBALL_FANBOX_CUSTOM_TITLE', 'Facebook All fanbox', 'Enter the Module Title of your choice', '6', '0', now())");
	  $db->Execute("insert into " . TABLE_CONFIGURATION . " (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, date_added) values ('Facebook page url', 'MODULE_FBALL_FANBOX_PAGEURL', '', 'Enter the facebook page url', '6', '0', now())");
	   $db->Execute("insert into " . TABLE_CONFIGURATION . " (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, date_added) values ('Page Plugin height', 'MODULE_FBALL_FANBOX_HEIGHT', '300', 'Enter height of fanbox', '6', '0', now())");
	    $db->Execute("insert into " . TABLE_CONFIGURATION . " (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, date_added) values ('Page Plugin width', 'MODULE_FBALL_FANBOX_WIDTH', '140', 'Enter width of fanbox', '6', '0', now())");
      $db->Execute("insert into " . TABLE_CONFIGURATION . " (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, date_added) values ('Show Friends Faces', 'MODULE_FBALL_FANBOX_FACES', 'YES', 'select yes if you want show friends faces', '6', '1', 'zen_cfg_select_option(array(\'YES\', \'NO\'), ', now())");
	  $db->Execute("insert into " . TABLE_CONFIGURATION . " (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, date_added) values ('Show Page Posts', 'MODULE_FBALL_FANBOX_STREAM', 'NO', 'select yes if you want to show Page Posts.', '6', '1', 'zen_cfg_select_option(array(\'YES\', \'NO\'), ', now())");
	  $db->Execute("insert into " . TABLE_CONFIGURATION . " (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, date_added) values ('Use Small Header', 'MODULE_FBALL_FANBOX_SHEADER', 'YES', 'select yes if you want to use small header.', '6', '1', 'zen_cfg_select_option(array(\'YES\', \'NO\'), ', now())");
	  $db->Execute("insert into " . TABLE_CONFIGURATION . " (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, date_added) values ('Hide Cover Photo', 'MODULE_FBALL_FANBOX_COVER', 'NO', 'select yes to hide cover.', '6', '1', 'zen_cfg_select_option(array(\'YES\', \'NO\'), ', now())");
    $db->Execute("insert into " . TABLE_CONFIGURATION . " (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, date_added) values ('Tabs', 'MODULE_FBALL_FANBOX_TABS', 'timeline', 'Enter the tabs to show comma seperted list', '6', '0', now())");

      $db->Execute("insert into " . TABLE_CONFIGURATION . " (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, date_added) values ('Adapt to plugin container width', 'MODULE_FBALL_FANBOX_ADEPT', 'YES', 'Plugin will try to fit inside container', '6', '1', 'zen_cfg_select_option(array(\'YES\', \'NO\'), ', now())");
      $db->Execute("insert into " . TABLE_CONFIGURATION . " (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, date_added) values ('Add Facebook Script', 'MODULE_FBALL_FANBOX_SCRIPT', 'YES', 'If not added in header.php (see readme.txt of module).', '6', '1', 'zen_cfg_select_option(array(\'YES\', \'NO\'), ', now())");
    }

   function remove() {
      global $db;
      $db->Execute("delete from " . TABLE_CONFIGURATION . " where configuration_key in ('" . implode("', '", $this->keys()) . "')");
    }

    function keys() {
      return array('MODULE_FBALL_FANBOX_STATUS','MODULE_FBALL_FANBOX_SORT_ORDER','MODULE_FBALL_FANBOX_PAGEURL','MODULE_FBALL_FANBOX_HEIGHT','MODULE_FBALL_FANBOX_WIDTH','MODULE_FBALL_FANBOX_FACES','MODULE_FBALL_FANBOX_STREAM','MODULE_FBALL_FANBOX_SHEADER','MODULE_FBALL_FANBOX_CUSTOM_TITLE', 'MODULE_FBALL_FANBOX_COVER','MODULE_FBALL_FANBOX_ADEPT', 'MODULE_FBALL_FANBOX_TABS', 'MODULE_FBALL_FANBOX_SCRIPT');
    }
  }
?>