<?php
/**
 * Facebookall follow  sidebox by sourceaddons 
 * @copyright Copyright sourceaddons, 2017
 * @license http://www.zen-cart.com/license/2_0.txt GNU Public License V2.0
 **/

  class fball_follow {
    var $title, $output;
	
    function fball_follow() {
	    $this->code = 'fball_follow';
      $this->title = MODULE_FBALL_FOLLOW_TITLE;
      $this->description = MODULE_FBALL_FOLLOW_DESCRIPTION;
      $this->sort_order = MODULE_FBALL_FOLLOW_SORT_ORDER;
      $this->pageurl = MODULE_FBALL_FOLLOW_PAGEURL;
      $this->width = MODULE_FBALL_FOLLOW_WIDTH;
      $this->height = MODULE_FBALL_FOLLOW_HEIGHT;
      $this->color = MODULE_FBALL_FOLLOW_COLOR;
      $this->layout = MODULE_FBALL_FOLLOW_LAYOUT;
      $this->faces = MODULE_FBALL_FOLLOW_FACES;
      $this->script = MODULE_FBALL_FOLLOW_SCRIPT;
      $this->size = MODULE_FBALL_FOLLOW_SIZE;
      $this->custom_title = MODULE_FBALL_FOLLOW_CUSTOM_TITLE;
	    $this->output = array();
    }

    function process() {}

    function check() {
      global $db;
      if (!isset($this->_check)) {
        $check_query = $db->Execute("select configuration_value from " . TABLE_CONFIGURATION . " where configuration_key = 'MODULE_FBALL_FOLLOW_STATUS'");
        $this->_check = $check_query->RecordCount();
      }
      return $this->_check;
    }

    function install() {
	  global $db;
       $db->Execute("insert into " . TABLE_CONFIGURATION . " (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, date_added) values ('This module is installed', 'MODULE_FBALL_FOLLOW_STATUS', 'true', '', '6', '1','zen_cfg_select_option(array(\'true\'), ', now())");
      $db->Execute("insert into " . TABLE_CONFIGURATION . " (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, date_added) values ('Sort Order', 'MODULE_FBALL_FOLLOW_SORT_ORDER', '2', 'Sort order of display.', '6', '2', now())");

    $db->Execute("insert into " . TABLE_CONFIGURATION . " (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, date_added) values ('Title', 'MODULE_FBALL_FOLLOW_CUSTOM_TITLE', 'Facebook All Follow Button', 'Enter the Module Title of your choice', '6', '0', now())");


	  $db->Execute("insert into " . TABLE_CONFIGURATION . " (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, date_added) values ('Profile url', 'MODULE_FBALL_FOLLOW_PAGEURL', '', 'To display users who have liked your page specify the URL of your profile', '6', '0', now())");

	    $db->Execute("insert into " . TABLE_CONFIGURATION . " (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, date_added) values ('Width', 'MODULE_FBALL_FOLLOW_WIDTH', '140', 'Enter width of follow button', '6', '0', now())");

      $db->Execute("insert into " . TABLE_CONFIGURATION . " (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, date_added) values ('Height', 'MODULE_FBALL_FOLLOW_HEIGHT', '140', 'Enter height of follow button', '6', '0', now())");

      $db->Execute("insert into " . TABLE_CONFIGURATION . " (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, date_added) values ('Layout', 'MODULE_FBALL_FOLLOW_LAYOUT', 'standard', 'select layout for follow', '6', '1', 'zen_cfg_select_option(array(\'standard\', \'box_count\', \'button_count\', \'button\'), ', now())");

      $db->Execute("insert into " . TABLE_CONFIGURATION . " (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, date_added) values ('Show faces', 'MODULE_FBALL_FOLLOW_FACES', 'YES', 'select yes if you want show faces of likes', '6', '1', 'zen_cfg_select_option(array(\'YES\', \'NO\'), ', now())");

      $db->Execute("insert into " . TABLE_CONFIGURATION . " (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, date_added) values ('Color Scheme', 'MODULE_FBALL_FOLLOW_COLOR', 'light', 'color scheme of follow button', '6', '1', 'zen_cfg_select_option(array(\'light\', \'dark\'), ', now())");

      $db->Execute("insert into " . TABLE_CONFIGURATION . " (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, date_added) values ('Size', 'MODULE_FBALL_FOLLOW_SIZE', 'large', 'Select size of follow button', '6', '1', 'zen_cfg_select_option(array(\'large\', \'small\'), ', now())");

      $db->Execute("insert into " . TABLE_CONFIGURATION . " (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, date_added) values ('Add Facebook Script', 'MODULE_FBALL_FOLLOW_SCRIPT', 'YES', 'If not added in header.php (see readme.txt of module).', '6', '1', 'zen_cfg_select_option(array(\'YES\', \'NO\'), ', now())");
     
    }

    function remove() {
      global $db;
      $db->Execute("delete from " . TABLE_CONFIGURATION . " where configuration_key in ('" . implode("', '", $this->keys()) . "')");
    }

    function keys() {
      return array('MODULE_FBALL_FOLLOW_STATUS','MODULE_FBALL_FOLLOW_SORT_ORDER','MODULE_FBALL_FOLLOW_CUSTOM_TITLE','MODULE_FBALL_FOLLOW_PAGEURL','MODULE_FBALL_FOLLOW_HEIGHT','MODULE_FBALL_FOLLOW_WIDTH','MODULE_FBALL_FOLLOW_LAYOUT', 'MODULE_FBALL_FOLLOW_FACES', 'MODULE_FBALL_FOLLOW_COLOR','MODULE_FBALL_FOLLOW_SCRIPT', 'MODULE_FBALL_FOLLOW_SIZE');
    }
  }
?>